﻿@model List<Portal_Proveedor.Models.Administracion.IntentosFallidos>

<div class="row">
    <div class="col-md-6">
        <input class="form-control" id="busqueda2" type="text" placeholder="Buscar..">
    </div>
</div>

<table class="table">
    <thead>
        <tr>
            <th scope="col">#</th>
            <th scope="col">Usuario</th>
            <th scope="col">Correo electr&oacute;nico</th>
            <th scope="col">&Uacute;ltima fecha de logueo</th>
            <th scope="col">&Uacute;ltima fecha de bloqueo</th>
            <th scope="col">Cantidad de intentos fallidos</th>
            <th scope="col">&Uacute;ltima fecha de intentos fallidos</th>
        </tr>
    </thead>
    <tbody id="tabla2">
        @foreach (var item in Model)
        {
        <tr>
            <th scope="row">
                @Html.DisplayFor(m => item.consecutivo)
            </th>
            <td>@Html.DisplayFor(m => item.usuario)</td>
            <td>@Html.DisplayFor(m => item.Email)</td>
            <td>@Html.DisplayFor(m => item.UltimaFechaLogueo)</td>
            <td>@Html.DisplayFor(m => item.UltimaFechaCambioClave)</td>
            <td>@Html.DisplayFor(m => item.CantidadIntentosFallidos)</td>
            <td>@Html.DisplayFor(m => item.FechaIntentosFallidos)</td>
        </tr>
        }
    </tbody>


</table>

<script type="text/javascript">

    $(document).ready(function () {
        $("#busqueda2").on("keyup", function () {
            var value = $(this).val().toLowerCase();
            $("#tabla2 tr").filter(function () {
                $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
            });
        });
    });
</script>
